Bug Hunting Session
Bug 59353 - Running spell check with 'Check words with numbers' inserts unwanted character
Summary: Running spell check with 'Check words with numbers' inserts unwanted character
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2013-01-14 10:56 UTC by Ed
Modified: 2019-11-05 03:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed 2013-01-14 10:56:14 UTC
When running a spell check on a document containing a filename containing multiple periods, whose components are flagged by the spell checker, an extra character gets inserted in the filename, even if the spell checker is asked to ignore the word.  

For example:
1.  Create a new document and enter 'Linux64.tar.gz.' into it.  
2.  Run the spell checker.  
3.  The spell checker flags 'Linux64.' as "Not in dictionary".  Click 'Ignore All'.
4.  The spell checker flags 'ar.gz.' as "Not in dictionary".  Note this isn't 'tar.gz'.  Click 'Ignore All'.  
5.  The spell check is completed.  The contents of the document have been changed to 'Linux64.ttar.gz.'.  

This is weird behaviour and is definitely not wanted.
Comment 1 Urmas 2013-01-14 11:49:11 UTC
Check if all parts of this word have a same language.
Comment 2 Ed 2013-01-14 11:56:49 UTC
(In reply to comment #1)
> Check if all parts of this word have a same language.

I have checked this, and they do.  My default language is English (UK).  I have also made sure by setting this language "For all Text", and I have reproduced the problem.  

Ed
Comment 3 Urmas 2013-01-14 13:52:30 UTC
Confirmed in master (Needs to have 'check words with numbers' option enabled to reproduce.)
Comment 4 A (Andy) 2015-02-08 09:10:07 UTC
Reproducible with LO 4.4.0.3, Win 8.1, English (UK).

Important is the option Urmas mentioned in his/her comment 3.  Otherwise, it is not reproducible.
-> TOOLS -> OPTIONS -> section LANGUAGE SETTINGS -> subsection WRITING AIDS -> check the option "Check words with numbers" in the Options section
Comment 5 QA Administrators 2016-02-21 08:37:51 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 16:01:09 UTC Comment hidden (obsolete)
Comment 7 Thomas Lendo 2018-11-04 00:59:20 UTC
Still reproducible.

Version: 6.2.0.0.alpha1+
Build ID: 612a107464c1889fdc4806a3c86da8c2fbf452c8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
Comment 8 QA Administrators 2019-11-05 03:29:21 UTC
Dear Ed,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug